import { IpcRenderer } from 'electron';
import { IHandlerMap } from 'duplex-message';
import { ElectronMessageHub, IElectronMessageHubOptions } from './abstract';
export declare class RendererMessageHub extends ElectronMessageHub {
    protected readonly _ipc: IpcRenderer;
    constructor(options?: IElectronMessageHubOptions);
    emit<ResponseType = unknown>(method: string, ...args: any[]): Promise<ResponseType>;
    on(handlerMap: Function | IHandlerMap): void;
    on(methodName: string, handler: Function): void;
    off(methodName?: string): void;
    destroy(): void;
    /** shared MainMessageHub instance */
    static get shared(): RendererMessageHub;
}
